## python-aiomodernforms 0.1.8

=== Makefile ===
.DEFAULT_GOAL := help
export VENV := $(abspath venv)
export PATH := ${VENV}/bin:${PATH}

define BROWSER_PYSCRIPT
import os, webbrowser, sys

try:
	from urllib import pathname2url
except:
	from urllib.request import pathname2url

webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
endef
export BROWSER_PYSCRIPT

BROWSER := python -c "$$BROWSER_PYSCRIPT"

.PHONY: help
help: ## Shows this message.
	@echo "Asynchronous Python client for Modern Forms fans."; \
	echo; \
	echo "Usage:"; \
	awk -F ':|##' '/^[^\t].+?:.*?##/ {\
		printf "\033[36m  make %-30s\033[0m %s\n", $$1, $$NF \
	}' $(MAKEFILE_LIST)

.PHONY: dev
dev: install-dev install ## Set up a development environment.

.PHONY: black
black: lint-black

.PHONY: lint
lint: lint-black lint-flake8 lint-pylint lint-mypy ## Run all linters.

.PHONY: lint-black
lint-black: ## Run linting using black & blacken-docs.
	black --safe --target-version py36 aiomodernforms tests examples; \
	blacken-docs --target-version py36

.PHONY: lint-flake8
lint-flake8: ## Run linting using flake8 (pycodestyle/pydocstyle).
	flake8 aiomodernforms examples tests

.PHONY: lint-pylint
lint-pylint: ## Run linting using PyLint.
	pylint aiomodernforms examples tests

.PHONY: lint-mypy
lint-mypy: ## Run linting using MyPy.
	mypy -p aiomodernforms

.PHONY: test
test: ## Run tests quickly with the default Python.
	pytest --cov-report html --cov-report term --cov-report xml:cov.xml --cov=aiomodernforms .;

.PHONY: coverage
coverage: test ## Check code coverage quickly with the default Python.
	$(BROWSER) htmlcov/index.html

.PHONY: install
install: clean ## Install the package to the active Python's site-packages.
	pip install -Ur requirements.txt; \
	pip install -e .;

.PHONY: clean clean-all
clean: clean-build clean-pyc clean-test ## Removes build, test, coverage and Python artifacts.
clean-all: clean-build clean-pyc clean-test clean-venv ## Removes all venv, build, test, coverage and Python artifacts.

.PHONY: clean-build
clean-build: ## Removes build artifacts.
	rm -fr build/; \
	rm -fr dist/; \
	rm -fr .eggs/; \
	find . -name '*.egg-info' -exec rm -fr {} +; \
	find . -name '*.egg' -exec rm -fr {} +;

.PHONY: clean-pyc
clean-pyc: ## Removes Python file artifacts.
	find . -name '*.pyc' -delete; \
	find . -name '*.pyo' -delete; \
	find . -name '*~' -delete; \
	find . -name '__pycache__' -exec rm -fr {} +;

.PHONY: clean-test
clean-test: ## Removes test and coverage artifacts.
	rm -f .coverage; \
	rm -fr htmlcov/; \
	rm -fr .pytest_cache;

.PHONY: clean-venv
clean-venv: ## Removes Python virtual environment artifacts.
	rm -fr venv/;

.PHONY: dist
dist: clean ## Builds source and wheel package.
	python setup.py sdist; \
	python setup.py bdist_wheel; \
	ls -l dist;

.PHONY: release
release:  ## Release build on PyP
	twine upload dist/*

.PHONY: venv
venv: clean-venv ## Create Python venv environment.
	python3 -m venv venv;

.PHONY: install-dev
install-dev: clean
	pip install -Ur requirements_dev.txt; \
	pip install -Ur requirements_test.txt; \
	pre-commit install;

=== requirements.txt ===
# base Modern Forms requirements
aiohttp>=3.7.4
backoff==1.10.0
yarl==1.6.3

=== debian/changelog ===
python-aiomodernforms (0.1.8-2) unstable; urgency=medium

  * Re-upload source-only.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Aug 2024 22:47:38 +0200

python-aiomodernforms (0.1.8-1) unstable; urgency=medium

  * Initial release. (Closes: #1078032)

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 Aug 2024 16:31:05 +0200

=== debian/control ===
Source: python-aiomodernforms
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiohttp,
 python3-aresponses,
 python3-backoff,
 python3-coverage,
 python3-mypy,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-cov,
 python3-yarl,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-aiomodernforms
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-aiomodernforms.git
Homepage: https://github.com/wonderslug/aiomodernforms

Package: python3-aiomodernforms
Architecture: all
Depends:
 python3-aiohttp,
 python3-backoff,
 python3-yarl,
 ${misc:Depends},
 ${python3:Depends},
Description: asynchronous client for Modern Forms fans
 This package makes it possible to control and monitor Modern Forms fans
 programmatically. It is mainly created to allow third-party programs to
 automate the behavior of the Modern Forms fans
 .
 This package is a dependency of Home Assistant.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/wonderslug/aiomodernforms.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_TEST_ARGS= -v

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/aiomodernforms/aiomodernforms-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
